curl --request POST \
--url https://api.leadping.ai/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"color": "<string>",
"description": "<string>",
"id": "<string>"
}
'import requests
url = "https://api.leadping.ai/tags"
payload = {
"name": "<string>",
"color": "<string>",
"description": "<string>",
"id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/tags");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/tags")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', color: '<string>', description: '<string>', id: '<string>'})
};
fetch('https://api.leadping.ai/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/tags"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"color\": \"<string>\",\n \"description\": \"<string>\",\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'color' => '<string>',
'description' => '<string>',
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"organizationId": "<string>",
"name": "<string>",
"normalizedName": "<string>",
"color": "<string>",
"description": "<string>",
"createdByUserId": "<string>",
"isArchived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Create an organization lead segmentation tag
Creates a tag for the current organization so leads can be segmented, filtered, routed, and reviewed by label.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Body
The tag name, color, and related display settings to create.
Defines the fields clients can send when working with tag.
Display name for this tag request in the Leadping API.
Hex color used to display this tag or status in Leadping clients.
Human-readable description that explains this tag request to API users.
Stable unique identifier of an existing resource to update; omit it when the API assigns an identifier during creation.
Response
Created
Describes tag data returned by Leadping.
Organization ID that owns this tag.
Display name for this tag response in the Leadping API.
Normalized name used for case-insensitive tag matching and deduplication.
Hex color used to display this tag or status in Leadping clients.
Human-readable description that explains this tag response to API users.
User ID of the person who created this tag response.
Indicates whether this lead or record is archived.
UTC timestamp when this record was archived.
Stable unique identifier of the resource.
UTC timestamp when the resource was created.
UTC timestamp when the resource was last modified, or null when it has not been updated.

